import { Platform, StyleSheet } from "react-native";
import { commonStyles } from "../../../../styles/commonStyle";
import { external } from "../../../../styles/externalStyle";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  promoCodeImageBackground: {
    width: windowWidth(202),
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(7),
    marginVertical: windowHeight(8),
    borderRadius: windowWidth(25),
    paddingBottom: windowHeight(15),
    borderBottomLeftRadius: windowHeight(18),
    borderBottomRightRadius: windowHeight(18),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  image: {
    paddingVertical: windowHeight(15),
    width: windowWidth(201),
    alignSelf: "center",
  },
  promoCodeText: {
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT20,
    textAlign: "center",
    color: appColors.textRed,
  },
  copyBox: {
    height: windowHeight(30),
    width: windowWidth(155),
    alignSelf: "center",
    borderRadius: windowWidth(35),
    marginTop: windowHeight(7),
    alignItems: "center",
    justifyContent: "center",
    marginBottom: windowHeight(4),
  },
  promoCodeCodeText: {
    fontSize: fontSizes.FONT17,
    fontFamily: appFonts.medium,
  },
  promoCodeSubtitle: {
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT16,
    textAlign: "center",
    marginHorizontal: windowWidth(10),
    marginTop: windowHeight(5),
  },
  line: {
    borderBottomWidth: 1,
    borderBottomColor: appColors.loaderPrimary,
    marginVertical: windowHeight(5),
    marginTop: windowHeight(8),
  },
  container: {
    flex: 1,
  },
});
export { styles };
